=head1 NAME

Gtk2::MenuBar

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell
                           +----Gtk2::MenuBar

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::MenuBar-E<gt>B<new> 

=over

=back

=head2 packdirection = $menubar-E<gt>B<get_child_pack_direction> 

=over

Since: gtk+ 2.8

=back

=head2 $menubar-E<gt>B<set_child_pack_direction> ($child_pack_dir)

=over

=over

=item * $child_pack_dir (Gtk2::PackDirection) 

=back

Since: gtk+ 2.8

=back

=head2 packdirection = $menubar-E<gt>B<get_pack_direction> 

=over

Since: gtk+ 2.8

=back

=head2 $menubar-E<gt>B<set_pack_direction> ($pack_dir)

=over

=over

=item * $pack_dir (Gtk2::PackDirection) 

=back

Since: gtk+ 2.8

=back


=head1 PROPERTIES

=over

=item 'child-pack-direction' (Gtk2::PackDirection : readable / writable / private)

The child pack direction of the menubar

=item 'pack-direction' (Gtk2::PackDirection : readable / writable / private)

The pack direction of the menubar

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PackDirection

=over

=item * 'ltr' / 'GTK_PACK_DIRECTION_LTR'

=item * 'rtl' / 'GTK_PACK_DIRECTION_RTL'

=item * 'ttb' / 'GTK_PACK_DIRECTION_TTB'

=item * 'btt' / 'GTK_PACK_DIRECTION_BTT'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::MenuShell>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

